#
# spec file for package device-mapper (Version 1.02.13)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           device-mapper
License:        GPL v2 or later; LGPL v2.1 or later
Group:          System/Base
AutoReqProv:    on
Version:        1.02.13
Release:        6.18.7
Summary:        Device Mapper Tools
Source:         device-mapper.%{version}.tar.bz2
Source1:        boot.device-mapper
Patch:          k_dev_t.dif
Patch1:         %{name}-option-values.patch
Patch2:         %{name}-gcc-warnings.patch
Patch3:         %{name}-static.patch
Patch4:         %{name}-dmsetup-export.patch
Patch5:         bug-550363_hash.c.diff
Patch6:         pvmove.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %insserv_prereq %fillup_prereq

%description
Programs, libraries, and man pages for configuring and using the device
mapper.



Authors:
--------
    Joe Thornber <thornber@sistina.com>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Development package for the device mapper
Group:          System/Base
Requires:       %name = %version

%description devel
Files needed for software development using the device mapper



Authors:
--------
    Joe Thornber <thornber@sistina.com>

%prep
%setup -n device-mapper.%{version}
%if %suse_version >= 900
%patch
%endif
%patch1 -p1
%patch2 -p1
%patch3
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$RPM_BUILD_ROOT --mandir=$RPM_BUILD_ROOT/usr/share/man \
            --includedir=$RPM_BUILD_ROOT/usr/include \
	    --libdir=$RPM_BUILD_ROOT/%_lib --enable-dmeventd
make

%install
make install
make libdir=$RPM_BUILD_ROOT/%_libdir install_static_lib
ln -s /%_lib/libdevmapper.so.1.02 $RPM_BUILD_ROOT/%_libdir/libdevmapper.so
install -m 744 scripts/devmap_mknod.sh $RPM_BUILD_ROOT/sbin/
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d

%post
%{fillup_and_insserv -py boot.device-mapper}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc INSTALL COPYING COPYING.LIB INTRO README
%config /etc/init.d/boot.device-mapper
/%_lib/libdevmapper.so
/%_lib/libdevmapper.so.1.02
/%_lib/libdevmapper-event.so
/%_lib/libdevmapper-event.so.1.02
/sbin/dmsetup
/sbin/devmap_mknod.sh
%{_mandir}/man8/dmsetup.8.gz

%files devel
%defattr(-,root,root)
%_libdir/libdevmapper.so
%attr(644, -, -) %_libdir/libdevmapper.a
/usr/include/libdevmapper.h
/usr/include/libdevmapper-event.h

%changelog
* Fri Apr 16 2010 xwhu@suse.de
- bnc#593981 - pvmove problems
* Mon Dec  7 2009 xwhu@suse.de
- Fix memory access in hash.c (bnc#550363)
* Thu Feb  7 2008 hare@suse.de
- Enable dmeventd (FATE#303381)
* Thu May  3 2007 hare@suse.de
- Add '--export' switch to dmsetup for udev (#241945)
* Wed Dec  6 2006 fehr@suse.de
- update to new version 1.02.13
  Update dmsetup man page (setgeometry & message).
  Fix dmsetup free after getline with debug.
  Suppress encryption key in 'dmsetup table' output unless --showkeys supplied.
* Mon Oct 16 2006 fehr@suse.de
- update to new version 1.02.12
  Avoid deptree attempting to suspend a device that's already suspended.
  Add suspend noflush support.
  Add basic dmsetup loop support.
  Switch dmsetup to use dm_malloc and dm_free.
* Wed Sep 20 2006 fehr@suse.de
- update to new version 1.02.10
  Add dm_snprintf(), dm_split_words() and dm_split_lvm_name() to libdevmapper.
  Reorder mm bounds_check code to reduce window for a dmeventd race.
* Thu Sep 14 2006 mkoenig@suse.de
- fixed permissions for static lib
- removed static lib version extension
* Tue Sep 12 2006 hvogel@suse.de
- split device-mapper-devel subpackage
- install static libs (needed to link cryptsetup from
  util-linux-crypto static)
* Wed Aug 30 2006 hare@suse.de
- Fix gcc warnings
- Fix field display for 'dmsetup info'.
* Wed Aug 30 2006 hare@suse.de
- Add 'major', 'minor', and 'uuid' as valid fields for
  'dmsetup info -o XXX'.
* Wed Aug 16 2006 fehr@suse.de
- update to new version 1.02.09
  Add --table argument to dmsetup for a one-line table.
  Abort if errors are found during cmdline option processing.
  Add lockfs indicator to debug output.
* Wed Jul 26 2006 fehr@suse.de
- update to new version 1.02.08
  Update dmsetup man page.
  Add --force to dmsetup remove* to load error target.
  dmsetup remove_all also performs mknodes.
  Don't suppress identical table reloads if permission changes.
  Fix corelog segment line.
* Mon May 22 2006 fehr@suse.de
- update to new version 1.02.07
  Add DM_CORELOG flag to dm_tree_node_add_mirror_target().
  Avoid a dmeventd compiler warning.
- update to new version 1.02.06
  Move DEFS into configure.h.
  Fix leaks in error paths found by coverity.
  Remove dmsetup line buffer limitation.
* Thu Apr 20 2006 fehr@suse.de
- update to new version 1.02.05
  Separate install_include target in makefiles.
  Separate out DEFS from CFLAGS.
  Support pkg-config.
  Check for libsepol.
* Wed Apr 19 2006 fehr@suse.de
- update to new version 1.02.04
  Bring dmsetup man page up-to-date.
  Use name-based device refs if kernel doesn't support device number refs.
  Fix memory leak (struct dm_ioctl) when struct dm_task is reused.
  If _create_and_load_v4 fails part way through, revert the creation.
  dmeventd thread/fifo fixes.
  Add file & line to dm_strdup_aux().
  Add setgeometry.
* Tue Mar 14 2006 fehr@suse.de
- update to new version 1.02.03
  Add exported functions to set uid, gid and mode.
  Rename _log to dm_log and export.
  Add dm_tree_skip_lockfs.
  Fix dm_strdup debug definition.
  Fix hash function to avoid using a negative array offset.
  Don't inline _find in hash.c and tidy signed/unsigned etc.
  Fix libdevmapper.h #endif.
  Fix dmsetup version driver version.
  Add sync, nosync and block_on_error mirror log parameters.
  Add hweight32.
  Fix dmeventd build.
* Thu Mar  2 2006 hare@suse.de
- Do not call devmap_mknod.sh (#150818)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 fehr@suse.de
- fix exit code of "dmsetup version" (#144794)
* Mon Jan 23 2006 fehr@suse.de
- add boot.udev to Required-Start section of init script (#144586)
* Tue Dec  6 2005 fehr@suse.de
- update to new version 1.02.02
* Tue Sep 27 2005 fehr@suse.de
- update to new version 1.01.05
* Wed Sep 21 2005 fehr@suse.de
- increase ioctl buffer size from 16k to 256k to allow larger number
  of dm device visible by "dmsetup ls" and "dmsetup table"
* Wed Aug  3 2005 fehr@suse.de
- update to new version 1.01.04
* Thu Jun 30 2005 meissner@suse.de
- use RPM_OPT_FLAGS.
* Tue Jun 14 2005 fehr@suse.de
- update to new version 1.01.03
* Wed May 18 2005 fehr@suse.de
- update to new version 1.01.02
* Mon Apr 11 2005 fehr@suse.de
- use -py instead of -pY as option for fillup_and_insserv (#76689)
- update to new version 1.01.01
* Tue Jan 18 2005 fehr@suse.de
- update to new version 1.01.00
* Tue Jan 11 2005 fehr@suse.de
- update to new version 1.00.21
* Thu Aug 26 2004 fehr@suse.de
- /dev/mapper directory is now part of devs.rpm (#44258)
* Wed Jul 14 2004 fehr@suse.de
- update to new version 1.00.19
* Thu May 27 2004 fehr@suse.de
- do not unload dm modules on shutdown, this hangs on some machines
* Sat Apr 10 2004 aj@suse.de
- devicemapper does not need 2.6 kernelsources.
* Thu Apr  1 2004 fehr@suse.de
- update to new version 1.00.09
* Tue Mar 16 2004 fehr@suse.de
- fix typo in start script (#36168)
* Mon Mar 15 2004 fehr@suse.de
- do not depend on existence of /dev/mapper dir (#35825)
* Tue Mar  2 2004 ro@suse.de
- remove root-fsck stuff in bootscript
- instead depend on boot.rootfsck
* Fri Dec  5 2003 fehr@suse.de
- update to new version 1.00.07
* Mon Nov 17 2003 odabrunz@suse.de
- fix spec file to make it compile with both new and old glibc
  (__kernel_dev_t)
* Thu Oct  2 2003 fehr@suse.de
- add fix to make it compile with new glibc (use __kernel_old_dev_t)
* Thu Sep 18 2003 fehr@suse.de
- fix boot.devicemapper to cope with LABEL= and UUID= in /etc/fstab
  also check reiser filesystem (#31060)
* Wed Sep 17 2003 fehr@suse.de
- add comment when remounting root fs read-only (#31060)
* Tue Sep 16 2003 kukuk@suse.de
- Add missing PreRequires [Bug #31006]
* Tue Sep  2 2003 fehr@suse.de
- update to version 1.00.05
* Mon Aug 25 2003 fehr@suse.de
- update to version 1.00.04
* Thu Aug 21 2003 fehr@suse.de
- update to version 1.00.03
* Mon Aug 18 2003 garloff@suse.de
- (#29083) Add # X-UnitedLinux-Should-Start: boot.scsidev
* Fri Jul 25 2003 fehr@suse.de
- update to version 1.00.02
* Tue Jul  1 2003 fehr@suse.de
- add boot script for automated startup in system
- fix typos in boot script
* Mon Jun 30 2003 fehr@suse.de
- created initial version of a SuSE package
